Bug 1256959 - [abrt] x2goclient: SessionManageDialog::slot_endisable(QTreeWidgetItem*, int)(): x2goclient killed by SIGSEGV
[abrt] x2goclient: SessionManageDialog::slot_endisable(QTreeWidgetItem*, int)...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: x2goclient (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:de37c88f6fcd0feb2e689584a2b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 17:34 EDT by Martín Cigorraga
Modified: 2016-04-05 10:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: x2goclient-4.0.5.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-05 10:18:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (56.67 KB, text/plain)
2015-08-25 17:34 EDT, Martín Cigorraga
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-25 17:35 EDT, Martín Cigorraga
no flags Details
File: core_backtrace (19.97 KB, text/plain)
2015-08-25 17:35 EDT, Martín Cigorraga
no flags Details
File: dso_list (15.21 KB, text/plain)
2015-08-25 17:35 EDT, Martín Cigorraga
no flags Details
File: environ (1.86 KB, text/plain)
2015-08-25 17:35 EDT, Martín Cigorraga
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-25 17:35 EDT, Martín Cigorraga
no flags Details
File: maps (79.66 KB, text/plain)
2015-08-25 17:35 EDT, Martín Cigorraga
no flags Details
File: mountinfo (3.45 KB, text/plain)
2015-08-25 17:35 EDT, Martín Cigorraga
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-25 17:35 EDT, Martín Cigorraga
no flags Details
File: open_fds (1.19 KB, text/plain)
2015-08-25 17:35 EDT, Martín Cigorraga
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-08-25 17:35 EDT, Martín Cigorraga
no flags Details
File: var_log_messages (523 bytes, text/plain)
2015-08-25 17:35 EDT, Martín Cigorraga
no flags Details

  None (edit)
Description Martín Cigorraga 2015-08-25 17:34:55 EDT
Description of problem:
The application went unexpectedly down after adding a new server and hitting OK in the editing dialog.

Version-Release number of selected component:
x2goclient-4.0.5.0-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        x2goclient
crash_function: SessionManageDialog::slot_endisable(QTreeWidgetItem*, int)
executable:     /usr/bin/x2goclient
global_pid:     24828
kernel:         4.1.6-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 1 Martín Cigorraga 2015-08-25 17:34:59 EDT
Created attachment 1066999 [details]
File: backtrace
Comment 2 Martín Cigorraga 2015-08-25 17:35:00 EDT
Created attachment 1067000 [details]
File: cgroup
Comment 3 Martín Cigorraga 2015-08-25 17:35:02 EDT
Created attachment 1067001 [details]
File: core_backtrace
Comment 4 Martín Cigorraga 2015-08-25 17:35:04 EDT
Created attachment 1067002 [details]
File: dso_list
Comment 5 Martín Cigorraga 2015-08-25 17:35:05 EDT
Created attachment 1067003 [details]
File: environ
Comment 6 Martín Cigorraga 2015-08-25 17:35:06 EDT
Created attachment 1067004 [details]
File: limits
Comment 7 Martín Cigorraga 2015-08-25 17:35:09 EDT
Created attachment 1067005 [details]
File: maps
Comment 8 Martín Cigorraga 2015-08-25 17:35:10 EDT
Created attachment 1067006 [details]
File: mountinfo
Comment 9 Martín Cigorraga 2015-08-25 17:35:12 EDT
Created attachment 1067007 [details]
File: namespaces
Comment 10 Martín Cigorraga 2015-08-25 17:35:13 EDT
Created attachment 1067008 [details]
File: open_fds
Comment 11 Martín Cigorraga 2015-08-25 17:35:14 EDT
Created attachment 1067009 [details]
File: proc_pid_status
Comment 12 Martín Cigorraga 2015-08-25 17:35:16 EDT
Created attachment 1067010 [details]
File: var_log_messages
Comment 13 Fedora Update System 2016-03-24 18:35:59 EDT
x2goclient-4.0.5.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-06de180216
Comment 14 Fedora Update System 2016-03-25 19:48:12 EDT
x2goclient-4.0.5.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-06de180216
Comment 15 Fedora Update System 2016-04-05 10:17:51 EDT
x2goclient-4.0.5.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.